/* ----------------------------------------- */
/* ### TOP LEVEL DIV ### */
/* ----------------------------------------- */

/* ------------------------- */
/* MAIN PARENT */
/* ------------------------- */


@media(max-width: 700px) and (min-width: 450px) {
    .albumDetailDiv {
        width: 100vw;
        padding: 40px 10px 40px 0;
        display: flex;
        justify-content: center;
    }
    .albumDetailDivChild {
        display: grid;
        grid-template-rows: auto auto auto 1fr;
        padding: 10px;
        box-shadow: 0px 0px 10px rgba(187, 187, 187, 0.338);
        border: .5px solid rgb(202, 202, 202);
        background-color: rgb(32, 32, 32);
        width: 90%;
        min-width: 200px;
    }
}


@media(min-width: 700px) {
    .albumDetailDiv {
        width: 100vw;
        padding: 40px 30px 40px 15px;
        display: flex;
        justify-content: center;
    }
    .albumDetailDivChild {
        display: grid;
        grid-template-rows: auto auto 1fr;
        padding: 20px;
        margin: 0;
        width: 95%;
        min-width: 600px;
        box-shadow: 0px 0px 10px rgba(187, 187, 187, 0.338);
        border: .5px solid rgb(202, 202, 202);
        background-color: rgb(32, 32, 32);
    }
}

@media(max-width: 450px) {
    .albumDetailDiv {
        width: 100vw;
        padding: 40px 10px;
        display: flex;
        justify-content: center;
    }
    .albumDetailDivChild {
        display: grid;
        grid-template-rows: auto auto auto 1fr;
        padding: 10px;
        box-shadow: 0px 0px 10px rgba(134, 134, 134, 0.338);
        border: 2px solid rgb(155, 155, 155);
        background-color: rgb(32, 32, 32);
        width: 95%;
        min-width: 220px;
    }
}




/* ------------------------- */
/* TOP LEVEL GRID ONE */
/* ------------------------- */
.albumDetailDivGridOne {
    height: fit-content;
    padding-bottom: 20px;
}
.albumDetailDivGridOneHeader {
    border-bottom: 2px solid rgb(97, 97, 97);
    font-size: max(calc(30px + 30 * ((100vw - 320px) / (1600 - 320))), 30px);
    font-family: sans-serif;
    text-align: center;
}

.albumDetailDivGridOneHeaderDiv {
    display: flex;
    justify-content: center;
}


.albumDetailDivGridOneDescription {
    text-align: center;
    margin-bottom: 0;
    font-size: calc(10px + (10) * ((100vw - 20px) / (1600 - 320)));
    max-width: 100%;
}

.albumDetailDivGridOneDescriptionDiv {
    padding: 10px 30px;
    width: calc(12vw * 35px);
}




/* ------------------------- */
/* TOP LEVEL GRID ONE SHOW MORE BUTTON */
/* ------------------------- */
/* ------------------------------------------------------ */

.showMoreButton {
    background-color: #007bff00;
    color: rgb(235, 235, 235);
    border: none;
    padding: 0 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-weight: bold;
    margin: 5px 2px;
    border-bottom: 1px solid rgb(188, 188, 188);
    border-radius: 10px;
    cursor: pointer;
}

.showMoreButton:active {
    background-color: rgb(62, 62, 62);
}

.showMoreButton:hover {
    color: rgb(149, 149, 253);
    border-bottom: 1px solid rgb(149, 149, 253);
}


.showMoreArrowDown:hover + .showMoreButton,
.showMoreArrowUp:hover+.showMoreButton {
    color: rgb(149, 149, 253);
    border-bottom: 1px solid rgb(149, 149, 253);
}


.showMoreButtonDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.showMoreButtonDiv>.showMoreArrowDown {
    order: 2;
}

.showMoreButtonDiv>.showMoreArrowUp {
    order: 2;
}


.baseButton {
    outline: none;
    border: none;
    background-color: transparent;
    padding: 0;
    margin: 0;
}


.showMoreArrowDown {
    font-size: 20px;
    margin-top: -10px;
    color: white;
}

.showMoreArrowUp {
    margin-top: -20px;
    font-size: 24px;
    height: fit-content;
    color: white;
}


.showMoreArrowDown:active + .showMoreButton {
    background-color: rgb(62, 62, 62);
}

.showMoreArrowUp:active+.showMoreButton {
    background-color: rgb(62, 62, 62);
}

/* ------------------------------------------------------ */




/* ------------------------- */
/* TOP LEVEL GRID TWO */
/* ------------------------- */



/* BELOW 800PX JAVASCRIPT BUTTONS */
/* ------------------------------------------------------ */
@media(max-width: 700px) {
    .tab-section {
        border-top: .5px solid rgb(202, 202, 202);
        border-bottom: .5px solid rgb(202, 202, 202);
        box-shadow: 0px 0px 10px rgba(207, 207, 207, 0.338);
        min-width: 150px;
        margin-left: -10px;
        width: calc(100% + 20px);
        display: flex;
        flex-direction: column;
        gap: 30px;
        align-items: center;
        padding: 20px;
    }
}

@media(min-width: 700px) {
}

.tab-list {
    border: .5px solid rgb(185, 185, 185);
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: calc(250px + (250) * ((100vw - 500px) / (1900 - 520)));
    list-style-type: none;
    padding: 0;
    margin: 0;
}


.tabButtons {
    display: flex;
    justify-content: center;
    margin: 20px;
}


.tab-item {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-align: center;
    padding: 7px 20px;
    flex: 1;
    height: 100%;
    color: white;
    background-color: transparent;
    transition: background-color 0.3s;
    z-index: 1;
}

.tab-item:hover {
    display: flex;
    color: rgb(255, 255, 255);
    justify-content: center;
    align-items: center;
    height: 100%;
    border-radius: 5px;
    background-color: rgba(213, 213, 213, 0.147);
    z-index: 1;
}


.tab-item.active,
.tab-item.focus {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    background-color: rgb(30, 60, 192);
    border: 1px solid rgb(158, 188, 254);
    border-radius: 5px;
    box-shadow: 0 0 5px rgb(102, 150, 255);
    z-index: 2;
}

/* END */
/* -------------------------- */




/* ------------------------- */
/* PHOTOS GRID */
/* ------------------------- */

table {
    border-collapse: collapse;
    margin-left: auto;
}


.photoTable {
    width: fit-content;
}
.photoTrAndSizeTr {
    display: flex;

}

.photoTR {
    display: flex;
    flex-direction: column;
}

.photoTdName {
    white-space: nowrap;
}

.albumDetailDivGridTwoUl {
    display: flex;
    flex-direction: column;
    align-items: left;
    padding: 0;
}
.albumDetailDivGridTwoHeader {
    text-align: center;
    margin-bottom: 8px;
    color: white;
    font-size: max(calc(25px + 30 * ((100vw - 320px) / (1600 - 320))), 20px);
}

.albumDetailDivGridTwoLi {
    list-style: none;
    border-bottom: 1px solid #ccc;

}

@media(max-width: 700px) {
    .albumDetailDivGridTwo {
        display: flex;
        justify-content: center;
        width: calc(100% + 20px);
        border: .5px solid rgb(202, 202, 202);
        border-bottom: .5px solid rgb(202, 202, 202);

    }
    .albumDetailDivGridTwoChild {
        display: grid;
        grid-template-columns: 1fr 1fr;
        width: calc(100% + 50px);
        justify-items: center;
    }
}



@media(min-width: 700px) {
    .albumDetailDivGridTwo {
        display: flex;
        justify-content: center;
        margin-left: -10px;
        width: calc(100% + 20px);
        border: .5px solid rgb(202, 202, 202);
        border-bottom: .5px solid rgb(202, 202, 202);
        box-shadow: 0px 0px 10px rgba(231, 231, 231, 0.338);
        padding: 20px 0;
    }
    .albumDetailDivGridTwoChild {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 4vw;
        width: fit-content;
        justify-items: center;
    }

    .albumDetailDivGridTwoChildTwo {
        display: flex;
        justify-content: center;
        height: 100%;
        width: 90%;
    }
}
/* END */




/* ------------------------- */
/* TOO LEVEL GRID THREE */
/* ------------------------- */

.albumDetailDivGridThree {
    display: flex;
    justify-content: center;
    margin-left: -10px;
    width: calc(100% + 20px);
    height: calc(100% + 40px);
    padding: 20px 0;
}


.albumDetailDivGridThreeChild {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.averageReviewAndName {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.starDiv {
    display: flex;
    margin: 0 0 10px 0;
}

.reviewHeader {
    font-size: calc(24px + (60 - 30) * ((100vw - 320px) / (1600 - 320)));
}
.newReview {
    outline: none;
    border: none;
    padding: 2px 5px;
    margin: 0;
    background-color: transparent;
    border-bottom: 2px solid rgb(135, 135, 135);
    margin: 0 0 7px 0;
}

.newReview:hover {
    background-color: rgb(243, 243, 243);
    border-radius: 10px;
}
/* END */



/* ------------------------- */
/* Top Level Divs*/
/* ------------------------- */

/* REVIEWS DIV */
/* --------------------------------------------- */
.newReviewDiv {
    display: flex;
    justify-content: left;
    padding-left: 0;
    margin-left: 0;
}

.newReviewForm {
    font-size: 20px;
    border-bottom: 1px solid white;
}

.reviewsDiv {
    display: flex;
    justify-content: center;
}

.reviewsDivChild {
    background-color: rgb(52, 52, 52);
    width: calc(100vw / 2);
    max-width: 450px;
    min-width: 300px;
    padding: 10px;
    border: 1px solid rgb(132, 132, 132);
}
.reviews {
    padding: .5em;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.162);
    margin-bottom: .5em;
}

.reviewsName {
    border-bottom: 1px solid rgb(217, 217, 217);
}

.reviewsNameDiv {
    display: flex;
    justify-content: left;
}


.averageReviewAllButton {
    margin-bottom: 1em;
    font-size: 1em;
    max-width: fit-content;
    white-space: nowrap;
    padding: .3em;
    outline: none;
    border: none;
    background-color: transparent;
}

.reviewsDescriptionDiv {
    border: 1px solid rgb(132, 132, 132);
    box-shadow: 0px 0px 10px rgba(189, 189, 189, 0.1);
    height: 10vh;
    width: 100%;
    padding: 5px;
}



/* *** PHOTOS *** */
/* Photo */

.photoAndSizesGrid {
    display: grid;
    grid-template-rows: auto auto;
    height: fit-content;
    width: fit-content;
    box-shadow:  0 0 6px rgba(188, 188, 188, 0.318);
    border: 1px solid rgba(128, 128, 128, 0.457);
    padding: 5px 5px 0 5px
}
.albumPhoto {
    object-fit: scale-down;
    width: calc(100vw / 5.5);
    height: calc(100vw / 5.5);
    max-width: 200px;
    max-height: 200px;
    min-width: 125px;
    min-height: 125px;
}
@media (max-width: 315px) {
    .albumPhoto {
    width: calc(100vw / 5);
    height: calc(100vw / 5);
    min-width: 90px;
    min-height: 90px;
}
}
/* Sizes Div */
.sizesDiv {
    display: flex;
    padding: 4px 2px;
    justify-content: space-between;
}

.sizes {
    font-size: max(calc(5px + 7 * ((100vw - 320px) / (1600 - 320))), 10px);
    color: white;
    font-weight: bold;
    padding: 0;
    border: none;
    background-color: transparent;
    outline: none;
    margin: 0;
}


.sizesLarge {
    font-size: max(calc(10px + 7 * ((100vw - 320px) / (1600 - 320))), 10px);
    color: white;
    font-weight: bold;
    padding: 0;
    border: none;
    background-color: transparent;
    outline: none;
    margin: 0;
}



.tdTrack {
    display: flex;
    justify-content: left;
    word-break: break-all;
    box-shadow:  0 0 6px rgba(188, 188, 188, 0.318);
    border: 1px solid rgba(128, 128, 128, 0.457);
    border-radius: 2px;
    text-align: left;
    padding: 10px;
    font-size: calc(10px + (10) * ((100vw - 20px) / (1600 - 320)));
}

.tdTrack:nth-child(odd) {
    margin-bottom: 10px;
}
.nameTh {
    display: flex;
    justify-content: left;
}

.dateTh {
    text-align: left;
}

.tracksHeaderDiv {
    display: flex;
    justify-content: left;
}

.trBodyDiv:nth-child(odd) {
    background-color: rgba(80, 106, 200, 0)
}

.tracksMainDiv{
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    width: 90%;
}

.tracksHeader{
    color: white;
    font-size: max(calc(25px + 30 * ((100vw - 320px) / (1600 - 320))), 20px);

}

.tracksHeaderDiv{
    display: flex;
    justify-content: center;
}

.tracksTableDiv {
    width: 100%;

}

.tracksTable {
    width: 100%;
}


.header {
    font-size: max(calc(25px + 30 * ((100vw - 320px) / (1600 - 320))), 20px);
    text-shadow: 0 0 5px #6a00ff, 0 0 15px #ffa500, 0 0 5px #ffa500, 0 0 5px #ffa500, 0 0 5px #ff0000, 0 0 10px #ff8d00, 0 0 5px #ff0000;
    color: #fff6a9;
    text-align: center;
    padding: 0;
    margin:0 0 15px 0;

    font-family: sans-serif;
    animation: blink 12s infinite;
    -webkit-animation: blink2 12s infinite;
}

@keyframes blink {
    20%,
    24%,
    55% {
        color: #111;
        text-shadow: none;
    }

    0%,
    19%,
    21%,
    23%,
    25%,
    54%,
    56%,
    100% {
        text-shadow: 0 0 5px #ffa500, 0 0 5px #ffa500, 0 0 10px #ffa500, 0 0 5px #ffa500, 0 0 5px #ff000000, 0 0 5px #ff8d00, 0 0 5px #ff0000;
        color: #fff6a9;
    }
}

@keyframes blink2 {
    20%,
    24%,
    55% {
        color: #111;
        text-shadow: none;
    }

    0%,
    19%,
    21%,
    23%,
    25%,
    54%,
    56%,
    100% {
        text-shadow: 0 0 5px #ffa500, 0 0 5px #ffa500, 0 0 10px #ffa500, 0 0 5px #ffa500, 0 0 5px #ff000000, 0 0 5px #ff8d00, 0 0 5px #ff0000;
        color: #fff6a9;
    }
}


.albumPhotoLarge {
    width: calc(100vw / 4);
    height: calc(100vw / 4);
    min-width: 200px;
    max-width: 450px;
    min-height: 200px;
    max-height: 450px;

}

.tab-content-child {
    display: flex;
    justify-content: center;
}


.albumDetailDivGridTwoChildOne {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}


.photoAndSizesGridParentLarge {
    display: grid;
    grid-template-columns: auto auto auto;
    row-gap: 5px;
    column-gap: 5px;
}

.photoAndSizesGridParentSmall {
    display: grid;
    grid-template-rows: auto auto auto;
    grid-template-columns: auto;
    row-gap: 10px;
}

@media (max-width: 900px) {
    .photoAndSizesGridParentSmall {
        display: grid;
        grid-template-rows: auto auto;
        grid-template-columns: auto;
        row-gap: 10px;
    }
    .photoAndSizesGridParentLarge {
        display: grid;
        grid-template-columns: auto auto;
        row-gap: 5px;
        column-gap: 5px;
    }
}
.loadingCd {
    width: 150px;
    height: 150;
    animation: movingAndSpinning 4s linear reverse infinite;
}





@keyframes movingAndSpinning {
    0% {
        transform: translateX(150%) rotate(360deg);
    }
    50% {
        transform: translateX(-150%) rotate(0deg);
    }


    50% {
        transform: translateX(-150%) rotate(0deg);
    }
    100% {
        transform: translateX(150%) rotate(360deg);
    }
}
